class WindowsBuilds():
    """     
    Some build versions are the same for Server and Workstation.
    If we've obtained the machine role via MS-DSSP, we can be more precise.
    https://en.wikipedia.org/wiki/List_of_Microsoft_Windows_versions 
    """
    ambiguous_builds = {
        528: 'Windows NT 3.1',
        807: 'Windows NT 3.5 Workstation or Server',
        950: 'Windows 95',
        1057: 'Windows NT 3.51 Workstation or Server',
        1381: 'Windows NT 4.0 Workstation or Server',
        1998: 'Windows 98',
        2195: 'Windows 2000 Workstation or Server',
        2222: 'Windows 98 Second Edition',
        2600: 'Windows XP',
        2715: 'Windows XP',
        3000: 'Windows Me',
        3790: 'Windows XP or Windows Server 2003',
        6002: 'Windows Vista',
        6003: 'Windows Server 2008',
        7601: 'Windows 7 or Server 2008 R2',
        9200: 'Windows 8 or Server 2012',
        9600: 'Windows 8.1 or Server 2012 R2',
        10240: 'Windows 10 version 1507',
        10586: 'Windows 10 version 1511',
        14393: 'Windows 10 or Server 2019 version 1607',
        15063: 'Windows 10 version 1703',
        16299: 'Windows 10 version 1709',
        17134: 'Windows 10 version 1803',
        17763: 'Windows 10 or Server 2019 version 1809',
        18362: 'Windows 10 or Server 2019 version 1903',
        18363: 'Windows 10 or Server 2019 version 1909',
        19041: 'Windows 10 or Server 2019 version 2004',
        19042: 'Windows 10 or Server 2019 version 20H2',
        19043: 'Windows 10 version 21H1',
        19044: 'Windows 10 version 21H2',
        20348: 'Windows Server 2022',
        22000: 'Windows 11',
    }

    workstation_builds = {
        528: 'Windows NT 3.1',
        807: 'Windows NT 3.5 Workstation',
        950: 'Windows 95',
        1057: 'Windows NT 3.51 Workstation',
        1381: 'Windows NT 4.0 Workstation',
        1998: 'Windows 98',
        2195: 'Windows 2000 Workstation',
        2222: 'Windows 98 Second Edition',
        2600: 'Windows XP',
        2715: 'Windows XP',
        3000: 'Windows Me',
        3790: 'Windows XP',
        6002: 'Windows Vista',
        7601: 'Windows 7',
        9200: 'Windows 8',
        9600: 'Windows 8.1',
        10240: 'Windows 10 version 1507',
        10586: 'Windows 10 version 1511',
        14393: 'Windows 10 version 1607',
        15063: 'Windows 10 version 1703',
        16299: 'Windows 10 version 1709',
        17134: 'Windows 10 version 1803',
        17763: 'Windows 10 version 1809',
        18362: 'Windows 10 version 1903',
        18363: 'Windows 10 version 1909',
        19041: 'Windows 10 version 2004',
        19042: 'Windows 10 version 20H2',
        19043: 'Windows 10 version 21H1',
        19044: 'Windows 10 version 21H2',
        22000: 'Windows 11',
    }

    server_builds = {
        807: 'Windows NT 3.5 Server',
        1057: 'Windows NT 3.51 Server',
        1381: 'Windows NT 4.0 Server',
        2195: 'Windows 2000 Server',
        3790: 'Windows Server 2003',
        6003: 'Windows Server 2008',
        7601: 'Windows Server 2008 R2',
        9200: 'Windows Server 2012',
        9600: 'Windows Server 2012 R2',
        14393: 'Windows 10 Server 2019 version 1607',
        17763: 'Windows 10 Server 2019 version 1809',
        18362: 'Windows 10 Server 2019 version 1903',
        18363: 'Windows 10 Server 2019 version 1909',
        19041: 'Windows 10 Server 2019 version 2004',
        19042: 'Windows 10 Server 2019 version 20H2',
        20348: 'Windows Server 2022',
    }